#ifndef TSIMULATIONPARAMETERNEUTRONDETECTOR_HH
#define TSIMULATIONPARAMETERNEUTRONDETECTOR_HH

#include "TNamed.h"
#include "TString.h"
#include "TVector3.h"

class TSimulationParameterNeutronDetector;
extern TSimulationParameterNeutronDetector* gSimulationParameterNeutronDetector;

class TSimulationParameterNeutronDetector : public TNamed
{
public:
  TSimulationParameterNeutronDetector();
  TSimulationParameterNeutronDetector(const char* name, const char* title = "");
  TSimulationParameterNeutronDetector(const TString& name, const TString& title = "");
  virtual ~TSimulationParameterNeutronDetector();

  friend ostream& operator<<(ostream& out,  const TSimulationParameterNeutronDetector& simulationParameterNeutronDetector);

public:
  Int_t fNeutNumber;
  TVector3 fNeutSize;
  Double_t fNeutGap;
  Int_t fNeutRotationMode;

  Int_t fVetoNumber;
  TVector3 fVetoSize;
  TVector3 fVetoGap;
  Int_t fVetoRotationMode;

  Int_t fNeutLayerNumber;
  Double_t fNeutLayerGap;

  Double_t fNeutVetoGap;

  Int_t fStuckNumber;
  Double_t fStuckGap;

  TVector3 fPosition;

  TVector3 fNeutPos;
  TVector3 fNeutPosShift;
  TVector3 fVetoPos;
  TVector3 fVetoPosShift;
  TVector3 fNeutLayerSize;
  TVector3 fVetoLayerSize;
  Double_t fNeutStuckSizeZ;
  Double_t fVetoStuckSizeZ;
  TVector3 fNeutLayerPos;
  TVector3 fVetoLayerPos;
  TVector3 fNeutLayerPosShift;
  Double_t fNeutLongSide;
  Double_t fVetoLongSide;
  TVector3 fStuckSize;
  TVector3 fStuckPos;
  TVector3 fStuckPosShift;

  ClassDef(TSimulationParameterNeutronDetector, 1)
};

#endif
