
#include "TSimulationDataBeam.hh"

#include <iostream>
#include <algorithm>
#include <iterator>

ClassImp(TSimulationDataBeam)

TSimulationDataBeamArray* gSimulationDataBeamArray = 0;

std::ostream& operator<<(std::ostream& out, const TSimulationDataBeam& simulationDataBeam)
{
  out << simulationDataBeam.fPrimaryParticleID << " ";
  out << simulationDataBeam.fPDGCode << " ";
  out << simulationDataBeam.fMass << " ";
  out << simulationDataBeam.fCharge << " ";
  out << simulationDataBeam.fMomentum.X() << " ";
  out << simulationDataBeam.fMomentum.Y() << " ";
  out << simulationDataBeam.fMomentum.Z() << " ";
  out << simulationDataBeam.fPosition.X() << " ";
  out << simulationDataBeam.fPosition.Y() << " ";
  out << simulationDataBeam.fPosition.Z() << " ";
  out << simulationDataBeam.fTime;
  return out;
}

TSimulationDataBeam::TSimulationDataBeam() : TObject()
{;}

TSimulationDataBeam::TSimulationDataBeam(Int_t primaryParticleID, Int_t pdgCode,
					 Double_t mass, Double_t charge,
					 TVector3 momentum, TVector3 position, Double_t time)
  : TObject(),
    fPrimaryParticleID(primaryParticleID), fPDGCode(pdgCode),
    fMass(mass), fCharge(charge),
    fMomentum(momentum), fPosition(position), fTime(time)
{;}

TSimulationDataBeam::~TSimulationDataBeam()
{;}
